#ifndef MANAGEWIDGET_H
#define MANAGEWIDGET_H

#include <QWidget>
#include <QTimer>

namespace Ui {
class ManageWidget;
}

class LegacyApp;

class ManageWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ManageWidget(LegacyApp *_app, QWidget *parent = 0);
    ~ManageWidget();

public slots:
    void updateUI();

private slots:
    void on_change_folder_button_clicked();

    void on_changeLocaleButton_common_clicked();

    void on_createCoreStatusFile_button_common_clicked();

private:
    LegacyApp *app;
    Ui::ManageWidget *ui;

    QTimer uiUpdateTimer;
};

#endif // MANAGEWIDGET_H
